Loading...
Searching...
No Matches
elastix::GTestUtilities::ValueAndDerivative Struct Reference

`#include <elxGTestUtilities.h>`

## Detailed Description

Represents the value and derivative retrieved from a metric (cost function).

Definition at line 151 of file elxGTestUtilities.h.

## Static Public Member Functions

static ValueAndDerivative | FromCostFunction (const itk::SingleValuedCostFunction &costFunction, const itk::OptimizerParameters< double > &optimizerParameters)

## Data Fields

itk::Array< double > | derivative
double | value

## Member Function Documentation

## FromCostFunction()

ValueAndDerivative elastix::GTestUtilities::ValueAndDerivative::FromCostFunction | ( | const itk::SingleValuedCostFunction & | costFunction,
|  | const itk::OptimizerParameters< double > & | optimizerParameters )

inline static

Definition at line 157 of file elxGTestUtilities.h.

## Field Documentation

## derivative

itk::Array<double> elastix::GTestUtilities::ValueAndDerivative::derivative

Definition at line 154 of file elxGTestUtilities.h.

## value

double elastix::GTestUtilities::ValueAndDerivative::value

Definition at line 153 of file elxGTestUtilities.h.

Generated on 1768596610 for elastix by 1.15.0 |